<kendo-grid [data]="gridView" 
    [pageSize]="pageSize"
    [skip]="skip"
    [pageable]="true"
    [columnMenu]="true"
    (pageChange)="pageChange($event)"
    [sortable]="{
        allowUnsort: allowUnsort,
        mode: multiple ? 'multiple' : 'single'
        }"
      [sort]="sort"
      (sortChange)="sortChange($event)"
      [filterable]="true"
      [filter]="state.filter"
      (dataStateChange)="dataStateChange($event)"
      [groupable]="true"
      [group]="groups"
      [reorderable]="reorder"
      (groupChange)="groupChange($event)">
        <kendo-grid-column field="paymentType" title="Payment Type" width="100">
            <ng-template kendoGridCellTemplate let-dataItem let-rowIndex="rowIndex">
                <a *ngIf="hasPermission(moduleName, 'E'); else normal" [routerLink]="['/tools/paymentType/edit', dataItem.id]">
                    {{ dataItem.paymentType }} 
                </a>
                <ng-template #normal>
                    {{ dataItem.paymentType }}
                </ng-template>
            </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="locationName" title="Location Name" width="100">            
        </kendo-grid-column>
        <kendo-grid-column field="isStatus" title="Status"  width="50" filter="boolean" [filterable]="false">
            <ng-template kendoGridCellTemplate let-dataItem let-rowIndex="rowIndex">
                {{ dataItem.isStatus ? "Active" : "Inactive" }}
            </ng-template>
        </kendo-grid-column>
</kendo-grid>
